#!/bin/bash

(
n=100000
echo "before DiningPhiloInterleaving 2 103 1"
echo "switch 1"
echo "before PhilosopherInterleaving 1 47 1"
echo "switch 2"
echo "before PhilosopherInterleaving 1 47 1"
echo "switch 3"
echo "before PhilosopherInterleaving 1 47 1"
echo "switch 4"
echo "before PhilosopherInterleaving 1 47 1"
echo "switch 5"
echo "before PhilosopherInterleaving 1 47 1"
echo "switch 6"
echo "before PhilosopherInterleaving 1 47 1"
echo "switch 1"
i=2
while [ ${i} -lt ${n} ]; do
  echo "before PhilosopherInterleaving 1 47 2"
  echo "switch 2"
  echo "before PhilosopherInterleaving 1 47 2"
  echo "switch 3"
  echo "before PhilosopherInterleaving 1 47 2"
  echo "switch 4"
  echo "before PhilosopherInterleaving 1 47 2"
  echo "switch 5"
  echo "before PhilosopherInterleaving 1 47 2"
  echo "switch 6"
  echo "before PhilosopherInterleaving 1 47 2"
  echo "switch 1"
  let "i=i+1"
done
echo "in PhilosopherInterleaving 1 56 1"
echo "switch 2"
echo "in PhilosopherInterleaving 1 56 1"
echo "switch 3"
echo "in PhilosopherInterleaving 1 56 1"
echo "switch 4"
echo "in PhilosopherInterleaving 1 56 1"
echo "switch 5"
echo "in PhilosopherInterleaving 1 56 1"
echo "switch 6"
echo "in PhilosopherInterleaving 1 56 1"
echo "switch 0"
echo "in DiningPhiloInterleaving 2 178 1"
echo "terminate"
) > DiningPhiloInterleaving.cx

(
n=100000
echo "before DiningPhiloBlocking 2 103 1"
echo "switch 1"
i=1
while [ ${i} -lt ${n} ]; do
  echo "before PhilosopherBlocking 1 25 1"
  echo "switch 2"
  echo "in ForkBlocking 1 4 1"
  echo "switch 1"
  echo "before PhilosopherBlocking 1 47 1"
  echo "switch 2"
  echo "before PhilosopherBlocking 1 25 1"
  echo "switch 3"
  echo "in ForkBlocking 1 4 1" 
  echo "switch 2"
  echo "before PhilosopherBlocking 1 47 1"
  echo "switch 3"
  echo "before PhilosopherBlocking 1 25 1"
  echo "switch 4"
  echo "in ForkBlocking 1 4 1" 
  echo "switch 3"
  echo "before PhilosopherBlocking 1 47 1"
  echo "switch 4"
  echo "before PhilosopherBlocking 1 25 1"
  echo "switch 5"
  echo "in ForkBlocking 1 4 1" 
  echo "switch 4"
  echo "before PhilosopherBlocking 1 47 1"
  echo "switch 5"
  echo "before PhilosopherBlocking 1 25 1"
  echo "switch 6"
  echo "in ForkBlocking 1 4 1" 
  echo "switch 5"
  echo "before PhilosopherBlocking 1 47 1"
  echo "switch 6"
  echo "before PhilosopherBlocking 1 25 1"
  echo "switch 1"
  echo "in ForkBlocking 1 4 1" 
  echo "switch 6"
  echo "before PhilosopherBlocking 1 47 1"
  echo "switch 1"
  let "i=i+1"
done
echo "in PhilosopherBlocking 1 56 1"
echo "switch 2"
echo "in PhilosopherBlocking 1 56 1"
echo "switch 3"
echo "in PhilosopherBlocking 1 56 1"
echo "switch 4"
echo "in PhilosopherBlocking 1 56 1"
echo "switch 5"
echo "in PhilosopherBlocking 1 56 1"
echo "switch 6"
echo "in PhilosopherBlocking 1 56 1"
echo "switch 0"
echo "in DiningPhiloBlocking 2 178 1"
echo "terminate"
) > DiningPhiloBlocking.cx

(
n=100000
echo "before DiningPhiloParallel 3 103 1"
echo "switch 3"
echo "in PhilosopherParallel 1 136 1"
echo "switch 6"
echo "in PhilosopherParallel 1 136 1"
echo "switch 1"
echo "before PhilosopherParallel 1 119 1"
echo "switch 2"
echo "before PhilosopherParallel 1 119 1"
echo "switch 4"
echo "before PhilosopherParallel 1 119 1"
echo "switch 5"
echo "before PhilosopherParallel 1 119 1"
echo "switch 1"
i=2
while [ ${i} -lt ${n} ]; do
  echo "before PhilosopherParallel 1 119 2"
  echo "switch 2"
  echo "before PhilosopherParallel 1 119 2"
  echo "switch 4"
  echo "before PhilosopherParallel 1 119 2"
  echo "switch 5"
  echo "before PhilosopherParallel 1 119 2"
  echo "switch 1"
  let "i=i+1"
done
echo "in PhilosopherParallel 1 136 1"
echo "switch 2"
echo "in PhilosopherParallel 1 136 1"
echo "switch 4"
echo "in PhilosopherParallel 1 136 1"
echo "switch 5"
echo "in PhilosopherParallel 1 136 1"
echo "switch 0"
echo "in DiningPhiloBlocking 2 224 1"
echo "terminate"
) > DiningPhiloParallel.cx
